Installer - Bug #3850

Reverse dns zone not created for the entire subnet, if larger than /24
12/11/2013 08:31 AM - Dominic Cleal

Status: Resolved
Priority: Normal
Assignee:

Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Description of problem:
Foreman only creates reverse zone file for first set of prefixes in a multi-prefixed subnet.

How reproducible:
Everytime

Steps to Reproduce:
1. Install Foreman in a provisioning configuration using a subnet that has multiple prefixes such as 10.1.0.0/23
2. Add a host to foreman with an ip address prefixed with 10.1.1.

Actual results:
Foreman errors with:
Create Reverse DNS record for INSERT_HOSTNAME_HERE task failed with the following error: 400 Bad Request

Additional info:
Adding a host using an address prefixed with 10.1.0 works fine.

After manually adding a reverse zone in the named configuration, adding a host to the higher prefixed addresses works.

Related issues:
Has duplicate Installer - Feature #12066: Create all neccessary Reverse DNS F... Duplicate 10/06/2015

History

#1 - 01/09/2014 02:55 PM - Dominic Cleal

- Target version set to 1.9.2

#2 - 01/22/2014 02:14 PM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Greg Sutcliffe

(https://bugzilla.redhat.com/show_bug.cgi?id=1039650)

#3 - 02/06/2014 12:06 PM - Dominic Cleal

- Target version changed from 1.9.2 to 1.9.1

#4 - 02/07/2014 03:14 PM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/puppet-foreman_proxy/pull/90

#5 - 03/03/2014 12:48 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0
https://bugzilla.redhat.com/show_bug.cgi?id=1039650
https://github.com/theforeman/puppet-foreman_proxy/pull/90

#6 - 03/25/2014 02:58 PM - Greg Sutcliffe
- % Done changed from 0 to 90

Oops, forgot all about this. The code still works, but | believe Ewoud would prefer me to make the code slightly nicer.

#7 - 03/26/2014 12:58 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#8 - 04/24/2014 10:21 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#9 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#10 - 04/24/2014 10:24 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#11 - 05/19/2014 12:40 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#12 - 06/11/2014 02:58 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#13 - 07/07/2014 07:19 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#14 - 07/30/2014 06:48 AM - Anonymous

- Target version changed from 1.8.0to 1.7.5

#15 - 08/20/2014 06:48 AM - Anonymous

- Target version changed from 1.7.5t0 1.7.4

#16 - 09/10/2014 07:19 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#17 - 09/30/2014 10:33 AM - Dominic Cleal

- Target version changed from 1.7.3to 1.7.2

#18 - 10/21/2016 03:05 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Greg Sutcliffe)
- Target version deleted (1.7.2)

#19 - 10/06/2017 09:18 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Resolved

Fixed in #18538 / 53d0f22f8b7f6b9f19e810a4662702b5fd836dc4

#20 - 10/06/2017 12:13 PM - Ewoud Kohl van Wijngaarden
- Has duplicate Feature #12066: Create all neccessary Reverse DNS Files added
